Subject: Question on Half-Open Connection Discovery - RFC 793

From: <[email-masked]>
Date: Wed, 8 Aug 2007 12:46:25 -0500

In RFC 793, is this statement (Section 3.4, Figure 10 for Half-Open
Connection Discovery) a MUST or a SHOULD?

"When the SYN arrives at line 3, TCP B, being in a synchronized state,
  and the incoming segment outside the window, responds with an
  acknowledgment indicating what sequence it next expects to hear (ACK
  100)."

In other words, if TCP B does not send back the ACK, does it violate RFC
793?  For Half-Open Discovery, is sending back ACK upon receiving SYN
the only option, or are there other acceptable behaviors?

Thanks,
Nam Nguyen
_______________________________________________
Ietf mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ietf